Commit 9d088444 authored by Aleix Pol Gonzalez's avatar Aleix Pol Gonzalez 🐧
Browse files

Fix build with older ECM versions

Don't try to use KDE_INSTALL_* variables before ECM 1.6.0

CCMAIL: jazeix@gmail.com
parent dd606ae6
......@@ -105,11 +105,13 @@ find_package (KF5 QUIET COMPONENTS
)
if(KF5_FOUND)
include(KDEInstallDirs)
install(FILES org.kde.gcompris.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.gcompris.desktop DESTINATION ${KDE_INSTALL_APPDIR})
add_subdirectory(images)
endif(KF5_FOUND)
if (ECM_VERSION VERSION_GREATER "1.6.0")
install(FILES org.kde.gcompris.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.gcompris.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()
endif()
FIND_PROGRAM(LCONVERT_EXECUTABLE lconvert-qt5 lconvert
PATHS
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment